Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"a7935daf-372f-495c-8d07-f27acef647c1","url":null,"userId":"e3254ce7-73fe-4eca-8ba9-12fee4997224","userUrl":null,"categoryId":"25739770-1823-4ca7-9b64-78e13910f86a","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-06-22T16:18:12.6765861+00:00","lastModifiedDateTime":"2026-06-23T12:18:12.6765861+00:00","availableFrom":"2026-06-23T16:18:12","startDateTimeZone":null,"availableUntil":"2026-06-24T16:18:12","endDateTimeZone":null,"medias":[{"id":"ae0e8415-7e14-42c9-adb2-3842eb67ec33","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"228efcaf-5c60-4399-b53f-ff0ec2c1190d","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"1b1d0284-b45a-40eb-9a1f-0640f547ceed","url":null},{"type":"Department","name":"Department name example","id":"c5c6ad93-6fcc-41a8-b294-4c175ee542a3","url":null},{"type":"User group","name":"User group name example","id":"d05fe18a-dacf-4e32-ba77-d6110a656e04","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"13d1da09-7c87-41cf-bc3d-ebf8d175def5"}],"userGroups":[{"url":null,"name":"User group name example","id":"a8df727c-5390-456a-8832-bc1b24e74fd0"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string